package test;

import org.bukkit.Material;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.LivingEntity;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.EntityResurrectEvent;
import org.bukkit.inventory.EntityEquipment;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.PlayerInventory;
import org.bukkit.plugin.java.JavaPlugin;

import java.util.Random;

public class TestPlugin extends JavaPlugin implements Listener
{
    @Override
    public void onEnable()
    {
        getServer().getPluginManager().registerEvents(this, this);
    }

    @EventHandler
    public void onEntityResurrectEvent(EntityResurrectEvent event)
    {
        event.setCancelled(true);
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String label, String[] args)
    {
        if(!(sender instanceof Player))
            return false;
        Player player = (Player) sender;
        if(command.getName().equalsIgnoreCase("totem"))
        {
            EntityEquipment equipment = player.getEquipment();
            equipment.setItemInMainHand(new ItemStack(Material.TOTEM));
            PlayerInventory inventory = player.getInventory();
            Material[] values = Material.values();
            Random random = new Random();
            for (int i = 0; i < 25; i++)
            {
                Material type = values[random.nextInt(values.length)];
                inventory.addItem(new ItemStack(type, random.nextInt(type.getMaxStackSize()) + 1));
            }
            return true;
        }
        else if(command.getName().equalsIgnoreCase("level"))
        {
            player.setLevel(player.getLevel() + 50);
            return true;
        }
        else if(command.getName().equalsIgnoreCase("killme"))
        {
            player.teleport(player.getLocation().add(0, 100, 0));
            return true;
        }
        else return false;
    }
}
